import React, { Component } from 'react';
import PropTypes from 'prop-types';
import classname from 'classnames';
import Popover from 'reactstrap/lib/Popover';
import PopoverBody from 'reactstrap/lib/PopoverBody';

import './coach-mark-popover.scss';

export class CoachMarkPopover extends Component {
  static propTypes = {
    isOpen: PropTypes.bool.isRequired,
    toggle: PropTypes.func.isRequired,
    target: PropTypes.oneOfType([PropTypes.string, PropTypes.func]).isRequired,
    children: PropTypes.node.isRequired,
    className: PropTypes.string,
  };

  static defaultProps = {
    className: '',
  };

  state = {
    fade: false,
  };

  componentDidMount() {
    this.fadePopover();
  }

  fadePopover = () => {
    this.setState({ fade: true });
  };

  render() {
    const {
      isOpen, toggle, target, children, className,
    } = this.props;
    const { fade } = this.state;
    return (
      <Popover
        className={classname('coach-mark-popover', className, { fade })}
        placement="bottom-start"
        hideArrow={false}
        isOpen={isOpen}
        toggle={toggle}
        target={target}
      >
        <PopoverBody>{children}</PopoverBody>
      </Popover>
    );
  }
}
