import React from 'react';
import { IntlProvider } from 'react-intl';
import { storiesOf } from '@storybook/react';
import { withKnobs, text, boolean } from '@storybook/addon-knobs';
import { InputWithIconBtn } from './input-with-icon-btn';
import { IconAvatar } from '../../icons/icon-avatar/icon-avatar';
import '../../../theme/light.scss';

storiesOf('Form', module)
  .addDecorator(withKnobs)
  .add('InputWithIconBtn', () => (
    <IntlProvider locale="en">
      <div style={{ width: '500px' }}>
        <InputWithIconBtn
          icon={<IconAvatar />}
          buttonText={text('buttonText', 'button')}
          disabled={boolean('disabled', false)}
          label={text('label', 'label')}
        />
      </div>
    </IntlProvider>
  ));
