import { When } from './when';


describe('<When />', () => {
  let wrapper;

  describe('when condition is true', () => {
    const condition = true;

    test('should render children', () => {
      wrapper = shallow(<When condition={condition}><span>Should be rendered</span></When>);

      expect(wrapper).toMatchSnapshot();
    });

    test('should render children if children is func', () => {
      wrapper = shallow(<When condition={condition}>{() => <span>Should be rendered</span>}</When>);

      expect(wrapper).toMatchSnapshot();
    });

    test('should render children when condition not boolean', () => {
      wrapper = shallow(<When condition={123}><span>Should be rendered</span></When>);

      expect(wrapper).toMatchSnapshot();
    });
  });
  describe('when condition is false', () => {
    const condition = false;

    test('should skip children rendering', () => {
      wrapper = shallow(<When condition={condition}><span>Should not be rendered</span></When>);

      expect(wrapper).toMatchSnapshot();
    });
  });
});
