import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import './income-outcome.scss';
import colors from '../../../theme/js/color-variables';

export const IconIncome = ({ className }) => (
  <div className={classNames(className, 'outcome')}>
    <svg xmlns="http://www.w3.org/2000/svg" width="14" height="18" viewBox="0 0 14 18">
      <g fill="none" fillRule="evenodd" stroke={colors.greenG40} strokeWidth="2">
        <path d="M7 12V0M12 8l-5 5-5-5M.5 16.5h13.038" />
      </g>
    </svg>
  </div>
);

IconIncome.propTypes = {
  className: PropTypes.string,
};

IconIncome.defaultProps = {
  className: '',
};
