import React from 'react';
import PropType from 'prop-types';

export const IconSpPulse = ({ width, height }) => (
  <svg viewBox="0 0 48 48" width={width} height={height}>
    <g fill="none" fillRule="evenodd">
      <circle cx={24} cy={24} r={24} fill="#9C27B0" fillOpacity={0.12} />
      <circle cx={24} cy={24} r={20} fill="#9C27B0" fillOpacity={0.12} />
      <path
        fill="#9C27B0"
        d="M40 24c0-8.837-7.163-16-16-16S8 15.163 8 24s7.163 16 16 16 16-7.163 16-16"
      />
      <path
        fill="#FFF"
        d="M22 23.5h3.75c1.24 0 2.25-1.01 2.25-2.25S26.99 19 25.75 19H22v4.5zm0 9h-3V16h6.75A5.256 5.256 0 0 1 31 21.25a5.256 5.256 0 0 1-5.25 5.25H22v6z"
      />
    </g>
  </svg>
);

IconSpPulse.propTypes = {
  width: PropType.number,
  height: PropType.number,
};

IconSpPulse.defaultProps = {
  width: 48,
  height: 48,
};

